# Transliterator::Token Union Reference

A context integer or pointer for a factory function, passed by value. More...

`#include <translit.h>`

## Data Fields
int32_t | integer
| This token, interpreted as a 32-bit integer.
void * | pointer
| This token, interpreted as a native pointer.

## Detailed Description

A context integer or pointer for a factory function, passed by value.

Stable:
  ICU 2.4

Definition at line 267 of file translit.h.

## Field Documentation

int32_t Transliterator::Token::integer

This token, interpreted as a 32-bit integer.

Stable:
  ICU 2.4

Definition at line 272 of file translit.h.

Referenced by Transliterator::integerToken().

void* Transliterator::Token::pointer

This token, interpreted as a native pointer.

Stable:
  ICU 2.4

Definition at line 277 of file translit.h.

Referenced by Transliterator::pointerToken().

The documentation for this union was generated from the following file:

- translit.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines